## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           tinyexr
Version:        1.0.7
Release:        %autorelease
Summary:        Small library to load and save OpenEXR images
 
License:        BSD
URL:            https://github.com/syoyo/%{name}
Source0:        https://github.com/syoyo/%{name}/archive/refs/tags/v%{version}.tar.gz
Source1:        LICENSE
# Import Timo Röhling build patches from Debian.
Patch1:         0002-Explicitly-export-required-symbols.patch
Patch2:         0003-Fix-CMake-build-system.patch
Patch3:         0004-Add-test-executable-for-CTest.patch

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  sed
BuildRequires:  miniz-devel

%description
TinyEXR is a small library to load and save OpenEXR images. It supports
the version 1 format and version 2 multi-part images, and it has partial
support for version 2 deep images.
 
%package devel
Requires:       %{name}%{?_isa} = %{version}-%{release}
 
Summary:        Development files for %{name}
 
%description devel
%{summary}.


%prep
%autosetup -p1
cp %{SOURCE1} LICENSE

# Remove all thirdparty libraries
rm -rf deps

%build
%cmake

%cmake_build
# Remove static declarations from headers
sed -i '/^#ifdef TINYEXR_IMPLEMENTATION$/,/^#endif  \/\/ TINYEXR_IMPLEMENTATION$/d' tinyexr.h

%ifnarch s390x
%check
%ctest
%endif

%install
%cmake_install
 
%files
%doc README.md
%license LICENSE
%{_libdir}/libtinyexr.so.1{,.*}
 
%files devel
%{_includedir}/tinyexr.h
%{_libdir}/libtinyexr.so
%{_libdir}/cmake/tinyexr/


%changelog
* Sat Sep 09 2023 Diego Herrera <dherrera@redhat.com> 1.0.7-2
- Disable tests on s390x

* Sat Sep 09 2023 Diego Herrera <dherrera@redhat.com> 1.0.7-1
- Update to v1.0.7

* Tue Aug 29 2023 Diego Herrera <dherrera@redhat.com> 1.0.1-7
- Patch to fix CVE-2022-34300

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Oct 19 2022 Diego Herrera <dherrera@redhat.com> 1.0.1-4
- Use sed instead of unifdef

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Apr 28 2022 Diego Herrera <dherrera@redhat.com> 1.0.1-2
- Remove static declarations from headers

* Wed Apr 13 2022 Diego Herrera <dherrera@redhat.com> 1.0.1-1
- Initial release
